# -*- coding: latin-1 -*-
#########################################################
#Author: Jean-Baptiste Fasquel, ISTIA, Angers University, France
#Copyright (C) 2014 Jean-Baptiste Fasquel
#########################################################

import cv2
import numpy as np
import helper

##################################
#IMAGES
image1 = cv2.imread('reference_image_logo.png')
image2 = cv2.imread('pose_logo_1.png')

##################################
#FEATURES
detector=cv2.xfeatures2d.SURF_create()
keypoints1, descriptors1 = detector.detectAndCompute(image1,None)
keypoints2, descriptors2 = detector.detectAndCompute(image2,None)

##################################
# MATCHES
bf = cv2.BFMatcher(cv2.NORM_L2, crossCheck=True)
matches = bf.match(descriptors1,descriptors2)
matches = sorted(matches, key = lambda x:x.distance)
matches = matches[:30]

##################################
#DISPLAY
image_display=np.zeros((image1.shape[0],2*image1.shape[1]))
image_display = cv2.drawMatches(image1,keypoints1,image2,keypoints2,matches, image_display)
cv2.imshow('frame',image_display)
cv2.waitKey()
cv2.destroyAllWindows()

